:root {
    --primary-color: #0A1128;
    --white-color: #FFFFFF;
    --light-gray-color: #EEEEEE;
    --secondary-color: crimson;
    --gap: 3rem;
  }

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
html {
    font-size: 62.5%;
    scroll-behavior: smooth;
  }
  
body {
    font-family: 'Open Sans', sans-serif;
    font-size: 2rem;
    color: var(--primary-color);
    line-height: 1.5;
  }
  
h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', sans-serif;
  }
  
h1 {
    font-size: 6rem;
    text-transform: uppercase;
  }
  
  
h2 {
    font-size: 6rem;
    margin-bottom: 5rem;
    text-transform: uppercase;
    line-height: 1.2;
  }
  
h3 { font-size: 5rem; }  
h4 { font-size: 4.5rem; }  
h5 { font-size: 4rem; }  
h6 { font-size: 3.5rem; }  
a { text-decoration: none; }  
p { margin-bottom: 3rem; }

table {
  min-width: 36rem;
  width:100%;
  border-collapse: collapse;

}

table caption {
  font-style: italic;
  font-size: 1.6rem;
  text-align: left;
  margin-bottom: 1rem;
}

table td, table th {
  /* white-space: nowrap; esta propriedade serve para fazer com que a tabela não quebre a linha*/
  padding: 1rem;
  text-align: left;
  border: solid 0.1rem var(--light-gray-color)
}

tfoot td, table th{
  background: var(--light-gray-color);

}

.main-bg {
    background-image: url('../img/main-bg.svg');
    background-size: cover;
    background-position: center center;
    color: var(--white-color);
  }
  
.white-bg {
    background: var(--white-color);
    color: var(--primary-color);
  }
  
.main-content {
    max-width: 120rem;
    margin: 0 auto;
    padding: 10rem var(--gap);
  }
  
.section {
    min-height: 100vh;
  }
  
.menu-spacing {
    height: 65px;
  }


.menu {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    border-bottom: 0.1rem solid var(--light-gray-color);
    z-index: 1;
}



.menu-content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 0;
    padding-bottom: 0;
}

.menu h1 {
    font-size: 2.3rem;
    color: var(--primary-color);
}

.menu h1 a {
    color: inherit;
}

.menu ul {
    list-style: none;
    display: flex;
}

.menu ul li a {
    display: block;
    padding: 2rem;
    font-size: 1.8rem;
    color: var(--primary-color);
    position: relative;
    
}

.menu ul li a::after  {
    content: '';
    position: absolute;
    bottom: 1rem;
    left:50%;
    width: 0%;
    height: 0.2rem;
    background: var(--crimson-color);
    transition: all 300ms ease-in-out;
}

.menu ul li a:hover::after  {
    width: 50%;
    left: 25%;
}

.intro-content {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    gap: var(--gap);
    min-height: 100vh;
}

.intro-text-content, .intro-img {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
}

.intro-img img, .intro-img svg {
    height: auto;
    max-width: 100%;
    
}

.top3-content {
    max-width: 64rem;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    min-height: 100vh;
    text-align: center;
}

.grid-one-content {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    min-height: 100vh;
  }
  
.grid-main-heading {
    margin-bottom: 1rem;
  }
  
.grid-description {
    padding-bottom: 5rem;
  }
  
.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap);
    counter-reset: grid-counter;
  }
  
.grid h3 {
    font-size: 3rem;
    position: relative;
    padding-left: 5rem;
    padding-bottom: 2rem;
  }
  
.grid h3::before {
    counter-increment: grid-counter;
    content: counter(grid-counter);
    position: absolute;
    font-size: 8rem;
    font-style: italic;
    top: -4rem;
    left: -2rem;
    transform: rotate(5deg);
  }

.gallery-img {
      width: 100%;
      max-width: 36rem;
      max-height: 36rem;
      overflow: hidden;

  }

.gallery-img img {
    transition: all 300ms ease-in-out;
  }

.gallery-img img:hover {
    transform: translate(-3%, 3%) scale(1.2) rotate(5deg);
}


.responsive-table {
  overflow: hidden;
  overflow-x: auto;
}

.contact-form {
  grid-column: span 2;
}

.contact-form .form-grid {
  border: none;
  display: flex;
  flex-flow: row wrap;
  gap: var(--gap);
}

.form-group {

  flex: 1 1 320px;
}

.form-grid legend {
  font-style: italic;
  font-size: 1.6rem;
  margin-bottom: 3rem;
}

.form-group label {
  display: block;
  margin-bottom: 1rem;
}

.form-group input, .form-group textarea {
  border: none;
  background-color: var(--white-color);
  padding: 1.5rem 2rem;
  width: 100%;
  font-size: 3rem;
}

body .full-width {
  width:100%;
  flex: 1 1 100%;
}

.form-group button {
  border: 0.5rem solid var(--white-color);
  background: none;
  color: var(--white-color);
  padding: 1.5rem 2rem;
  font-size: 2.6rem;
  cursor: pointer;
  transition: all 300ms ease-in-out;
}

.form-group button:hover{
  background: var(--white-color);
  color: var(--primary-color);
}


.form-group ::placeholder {
  color: var(--light-gray-color);
}

footer p {
  text-align: center;
  color: var(--primary-color);
  margin: 0;
  padding: 3rem;
}

.close-menu {
  display: none;
}

.back-to-top {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  background: var(--white-color);
  width: 5rem;
  height: 5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  color: var(--primary-color);
  transform: rotate(-90deg);
  border: 1px solid var(--primary-color);


}

@media (max-width: 800px) {
  .intro-content, .grid {
    grid-template-columns: 1fr;
  }

  .gallery-img {
    width: 100%;
    max-width: 100%;
    max-height: 100%;
  }

  .gallery-img img {
    width: 100%;
  }

  .grid-one-content{
    display: block;
  }

  .menu {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }

  .menu-content, .menu-content ul {
    flex-direction: column;
    justify-content: center;
  }

  .menu-content {
    height: 100vh;
  }

  .menu {
    display: none;
  }

  .close-menu-label::after{
    content: '☰';
    position: fixed;
    z-index: 2;
    top: 2rem;
    right: 2rem;
    background: var(--primary-color);
    color: var(--white-color);
    font-size: 3rem;
    line-height: 3rem;
    width: 3rem;
    height: 3rem;
    text-align: center;
    padding: 0.5rem;
    cursor: pointer;


  }

  .close-menu:checked~.menu {
    display: block;
  }

  .close-menu-label::after~.menu{
    content: '×';
  }

  .menu-spacing {
    display: none;
  }
}


